## brise 0+git20120901

=== Makefile ===
ifeq (${SRCDIR},)
	SRCDIR=$(shell pwd)
endif
DATA:=${SRCDIR}/data

ifeq (${PREFIX},)
	PREFIX=/usr
endif
ifeq (${RIME_DATA_DIR},)
	RIME_DATA_DIR=${PREFIX}/share/rime-data
endif

all:
	@echo "building rime data."
	@mkdir -p ${DATA}
	@cp default.yaml ${DATA}
	@cp essay.kct  ${DATA}
	@cp supplement/*.yaml  ${DATA}
	@cp preset/*.yaml  ${DATA}
	rime_deployer --build  ${DATA}

install:
	@echo "installing rime data into '${DESTDIR}${RIME_DATA_DIR}'."
	@install -d ${DESTDIR}${RIME_DATA_DIR}
	@install -m 644 ${DATA}/* ${DESTDIR}${RIME_DATA_DIR}

=== debian/changelog ===
brise (0+git20120901-1) unstable; urgency=low

  * Initial release (Closes: #677341).

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 02 Sep 2012 18:04:26 +0800

=== debian/control ===
Source: brise
Section: utils
Priority: extra
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Qijiang Fan <fqj1994@gmail.com>
Build-Depends: debhelper (>= 9), librime-bin
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/rimeime
Vcs-Git: git://git.debian.org/git/pkg-ime/librime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary

Package: librime-data
Architecture: all
Depends: ${misc:Depends}, librime-data-cangjie5, librime-data-luna-pinyin
Recommends: librime-bin, librime0
Suggests: librime-data-bopomofo, librime-data-combo-pinyin, librime-data-double-pinyin, librime-data-ipa-xsampa, librime-data-jyutping, librime-data-pinyin-simp, librime-data-quick5, librime-data-scj6, librime-data-stenotype, librime-data-stroke5, librime-data-stroke-simp, librime-data-terra-pinyin, librime-data-triungkox3p, librime-data-wubi, librime-data-wugniu, librime-data-zyenpheng
Description: Rime Input Method Engine, the schema data
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the schema data of RIME.
 
Package: librime-data-bopomofo
Architecture: any
Depends: ${misc:Depends}, librime-data-terra-pinyin, librime-data-cangjie5
Description: RIME schema data - Bopomofo (a.k.a Zhu Yin)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the bopomofo schema data of RIME.

Package: librime-data-cangjie5
Architecture: any
Depends: ${misc:Depends}
Recommends: librime-data-luna-pinyin
Description: RIME schema data - Cangjie5
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the cangjie5 schema data of RIME.

Package: librime-data-combo-pinyin
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - Combo Pinyin (a.k.a Gong Bao Pin Yin)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the combo pinyin schema data of RIME.

Package: librime-data-double-pinyin
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin, librime-data-cangjie5
Description: RIME schema data - Double Pinyin (a.k.a Zi Ran Ma Shuang Pin)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the double pinyin schema data of RIME.

Package: librime-data-ipa-xsampa
Architecture: any
Depends: ${misc:Depends}, 
Description: RIME schema data - X-SAMPA
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the X-SAMPA schema data of RIME.

Package: librime-data-jyutping
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - jyutping (a.k.a Cantonese)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the jyutping schema data of RIME.

Package: librime-data-luna-pinyin
Architecture: any
Depends: ${misc:Depends}
Recommends: librime-data-cangjie5
Description: RIME schema data - Luna Pinyin
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the luna pinyin schema data of RIME.

Package: librime-data-pinyin-simp
Architecture: any
Depends: ${misc:Depends}
Recommends: librime-data-stroke-simp
Description: RIME schema data - Pinyin Simp (a.k.a Xiu Zheng Jian Hua Pin Yin)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the pinyin simp schema data of RIME.

Package: librime-data-quick5
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - quick5
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the quick5 schema data of RIME.

Package: librime-data-scj6
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - scj6 (a.k.a Fast Cangjie IM 6)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the scj6 schema data of RIME.

Package: librime-data-stenotype
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - stenotype
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the stenotype schema data of RIME.

Package: librime-data-stroke5
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - Stroke5
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the stroke5 schema data of RIME.

Package: librime-data-stroke-simp
Architecture: any
Depends: ${misc:Depends}
Recommends: librime-data-pinyin-simp
Description: RIME schema data - Simplified Stroke (hspnz)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the stroke simp schema data of RIME.

Package: librime-data-terra-pinyin
Architecture: any
Depends: ${misc:Depends}, librime-data-cangjie5
Description: RIME schema data - Terra Pinyin (a.k.a Earth Pinyin)
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the terra pinyin schema data of RIME.

Package: librime-data-triungkox3p
Architecture: any
Depends: ${misc:Depends}, librime-data-luna-pinyin
Description: RIME schema data - triungkox3p (a.k.a Zhong Gu San Pin)
 RIME is the acronym of Rime Input Method Engine.

## brise 0.18

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	@echo "building rime data."
 	@mkdir -p ${DATA}
 	@cp default.yaml ${DATA}
+	@cp symbols.yaml ${DATA}
 	@cp essay.kct  ${DATA}
 	@cp supplement/*.yaml  ${DATA}
 	@cp preset/*.yaml  ${DATA}

=== debian/changelog ===
brise (0.18-1) unstable; urgency=low

  [ Aron Xu ]
  * Correct Vcs-* address

  [ YunQiang Su ]
  * Imported Upstream version 0.18 and refresh patches.
  * add new librime-data-{array30,emoji,soutzoe} packages.
  * install symbols.yaml to librime-data.
  * Add debian/watch file.
  * Build depends on librime with version >= 0.9.8.
  * Add myself to Uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 07 Feb 2013 19:52:48 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: extra
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>
-Build-Depends: debhelper (>= 9), librime-bin
-Standards-Version: 3.9.3
+Uploaders: Qijiang Fan <fqj1994@gmail.com>, YunQiang Su <wzssyqa@gmail.com>
+Build-Depends: debhelper (>= 9), librime-bin (>= 0.9.8)
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/rimeime
-Vcs-Git: git://git.debian.org/git/pkg-ime/librime.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-ime/brise.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/brise.git
 
 Package: librime-data
 Architecture: all
@@ -25,7 +25,22 @@
  consistently on different platforms with OS-specific wrappers.
  .
  This package provides the schema data of RIME.
- 
+
+Package: librime-data-array30
+Architecture: any
+Depends: ${misc:Depends}, librime-data-terra-pinyin, librime-data-cangjie5
+Description: RIME schema data - array30
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides the array30 schema data of RIME.
+
 Package: librime-data-bopomofo
 Architecture: any
 Depends: ${misc:Depends}, librime-data-terra-pinyin, librime-data-cangjie5
@@ -87,6 +102,21 @@
  .
  This package provides the double pinyin schema data of RIME.
 
+Package: librime-data-emoji
+Architecture: any
+Depends: ${misc:Depends}, librime-data-luna-pinyin
+Description: RIME schema data - Emoji
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides the Emoji schema data of RIME.
+
 Package: librime-data-ipa-xsampa
 Architecture: any
 Depends: ${misc:Depends}, 
@@ -179,6 +209,21 @@
  .
  This package provides the scj6 schema data of RIME.
 
+Package: librime-data-soutzoe
+Architecture: any
+Depends: ${misc:Depends}, librime-data-luna-pinyin
+Description: RIME schema data - soutzoe
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides the soutzoe schema data of RIME.
+
 Package: librime-data-stenotype
 Architecture: any
 Depends: ${misc:Depends}, librime-data-luna-pinyin
@@ -200,48 +245,3 @@
 Description: RIME schema data - Stroke5
  RIME is the acronym of Rime Input Method Engine.
  .
- RIME is a lightweight, extensible input method engine supporting various input
- schematas including glyph-based input methods, romanization-based input methods
- as well as those for Chinese dialects. It has the ability to compose phrases
- and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the stroke5 schema data of RIME.
-
-Package: librime-data-stroke-simp
-Architecture: any
-Depends: ${misc:Depends}
-Recommends: librime-data-pinyin-simp
-Description: RIME schema data - Simplified Stroke (hspnz)
- RIME is the acronym of Rime Input Method Engine.
- .
- RIME is a lightweight, extensible input method engine supporting various input
- schematas including glyph-based input methods, romanization-based input methods
- as well as those for Chinese dialects. It has the ability to compose phrases
- and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the stroke simp schema data of RIME.
-
-Package: librime-data-terra-pinyin
-Architecture: any
-Depends: ${misc:Depends}, librime-data-cangjie5
-Description: RIME schema data - Terra Pinyin (a.k.a Earth Pinyin)
- RIME is the acronym of Rime Input Method Engine.
- .
- RIME is a lightweight, extensible input method engine supporting various input
- schematas including glyph-based input methods, romanization-based input methods
- as well as those for Chinese dialects. It has the ability to compose phrases
- and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the terra pinyin schema data of RIME.
-
-Package: librime-data-triungkox3p
-Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
-Description: RIME schema data - triungkox3p (a.k.a Zhong Gu San Pin)
- RIME is the acronym of Rime Input Method Engine.

## brise 0.22

=== Makefile ===
--- 
+++ 
@@ -10,15 +10,20 @@
 	RIME_DATA_DIR=${PREFIX}/share/rime-data
 endif
 
-all:
+all: essay
 	@echo "building rime data."
 	@mkdir -p ${DATA}
+	@cp essay.kct  ${DATA}
 	@cp default.yaml ${DATA}
 	@cp symbols.yaml ${DATA}
-	@cp essay.kct  ${DATA}
+	@cp preset/*.yaml  ${DATA}
 	@cp supplement/*.yaml  ${DATA}
-	@cp preset/*.yaml  ${DATA}
 	rime_deployer --build  ${DATA}
+
+essay:
+	@echo "generating essay.kct."
+	chmod +x make_essay.sh
+	./make_essay.sh
 
 install:
 	@echo "installing rime data into '${DESTDIR}${RIME_DATA_DIR}'."

=== debian/changelog ===
brise (0.22-1) unstable; urgency=low

  * Imported Upstream version 0.22
  * Add kyotocabinet-utils to build-dep
  * Update Git url to be canonical.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 11 Oct 2013 14:03:31 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Qijiang Fan <fqj1994@gmail.com>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 9), librime-bin (>= 0.9.8)
+Build-Depends: debhelper (>= 9), librime-bin (>= 0.9.8), kyotocabinet-utils
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/rimeime
-Vcs-Git: git://git.debian.org/git/pkg-ime/brise.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/brise.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/brise.git
 
 Package: librime-data

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
https://github.com/lotem/brise/tags .*/brise-(\d[\d\.]+)\.tar\.gz

## brise 0.35

=== Makefile ===
--- 
+++ 
@@ -10,17 +10,18 @@
 	RIME_DATA_DIR=${PREFIX}/share/rime-data
 endif
 
-all: essay
+all:
 	@echo "building rime data."
 	@mkdir -p ${DATA}
-	@cp essay.kct  ${DATA}
+	@cp essay.txt  ${DATA}
 	@cp default.yaml ${DATA}
 	@cp symbols.yaml ${DATA}
 	@cp preset/*.yaml  ${DATA}
 	@cp supplement/*.yaml  ${DATA}
 	rime_deployer --build  ${DATA}
 
-essay:
+# deprecated
+essay.kct:
 	@echo "generating essay.kct."
 	chmod +x make_essay.sh
 	./make_essay.sh

=== debian/changelog ===
brise (0.35-1) unstable; urgency=medium

  * New upstream release.
  * librime-data ships essay.txt instead of essay.kct now.
  * Build-deps on librime-bin >= 1.2.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Thu, 24 Jul 2014 17:36:29 -0400

brise (0.32-2) UNRELEASED; urgency=medium

  * Support building with librime 1.2, which needs essay.txt.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 14 Jul 2014 18:13:45 -0400

brise (0.32-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 3.9.5, no changes needed.
  * Added Provides for renaming, for:
    - librime-data-stroke and
    - librime-data-sampheng.
  * Added transitional packages for:
    - librime-data-stroke5,
    - librime-data-stroke-simp, and
    - librime-data-triungkox3p.
  * Added myself to uploaders.
  * Updated debian/copyright.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 29 Jun 2014 14:18:07 -0400

brise (0.30-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Build depends on librime-bin >= 1.0.
  * Added a new package librime-data-stroke, and removed
    librime-data-stroke5 and librime-data-stroke-simp.
  * Added a new package librime-data-sampheng in place of
    librime-data-triungkox3p.
  * Build all the schemas in override_dh_auto_build, and
    dropped all the patches.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 11 May 2014 18:32:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 9), librime-bin (>= 0.9.8), kyotocabinet-utils
-Standards-Version: 3.9.4
+Uploaders: Qijiang Fan <fqj1994@gmail.com>,
+           YunQiang Su <wzssyqa@gmail.com>,
+           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
+Build-Depends: debhelper (>= 9), librime-bin (>= 1.2), kyotocabinet-utils
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/rimeime
 Vcs-Git: git://anonscm.debian.org/pkg-ime/brise.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/brise.git
@@ -12,8 +14,22 @@
 Package: librime-data
 Architecture: all
 Depends: ${misc:Depends}, librime-data-cangjie5, librime-data-luna-pinyin
-Recommends: librime-bin, librime0
-Suggests: librime-data-bopomofo, librime-data-combo-pinyin, librime-data-double-pinyin, librime-data-ipa-xsampa, librime-data-jyutping, librime-data-pinyin-simp, librime-data-quick5, librime-data-scj6, librime-data-stenotype, librime-data-stroke5, librime-data-stroke-simp, librime-data-terra-pinyin, librime-data-triungkox3p, librime-data-wubi, librime-data-wugniu, librime-data-zyenpheng
+Recommends: librime-bin, librime1
+Suggests: librime-data-bopomofo,
+ librime-data-combo-pinyin,
+ librime-data-double-pinyin,
+ librime-data-ipa-xsampa,
+ librime-data-jyutping,
+ librime-data-pinyin-simp,
+ librime-data-quick5,
+ librime-data-scj6,
+ librime-data-stenotype,
+ librime-data-stroke,
+ librime-data-terra-pinyin,
+ librime-data-sampheng,
+ librime-data-wubi,
+ librime-data-wugniu,
+ librime-data-zyenpheng
 Description: Rime Input Method Engine, the schema data
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -166,7 +182,7 @@
 Package: librime-data-pinyin-simp
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: librime-data-stroke-simp
+Recommends: librime-data-stroke
 Description: RIME schema data - Pinyin Simp (a.k.a Xiu Zheng Jian Hua Pin Yin)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -239,9 +255,7 @@
  .
  This package provides the stenotype schema data of RIME.
 
-Package: librime-data-stroke5
-Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
-Description: RIME schema data - Stroke5
- RIME is the acronym of Rime Input Method Engine.
- .
+Package: librime-data-stroke
+Architecture: any
+Provides: librime-data-stroke5, librime-data-stroke-simp
+Depends: ${misc:Depends}, librime-data-luna-pinyin

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf data essay.kct default.custom.yaml

override_dh_auto_build:
	# create a default.custom.yaml here, and use it
	# to build all the schemas
	echo "patch:"          > default.custom.yaml
	echo "  schema_list:" >> default.custom.yaml
	find -name '*.schema.yaml' \
	    | xargs -l1 basename -s .schema.yaml \
	    | perl -pe 's/^/    - schema: /' \
	    | sort | uniq >> default.custom.yaml
	mkdir -p data
	cp -v default.custom.yaml data

	cp -v extra/*.yaml data
	dh_auto_build
	# restore the original copy of default.yaml
	cp -v default.yaml data
	rm -fv data/default.custom.yaml

override_dh_install:
	dh_install --fail-missing

## brise 0.38.20180515

=== Makefile ===
ifeq ($(SRCDIR),)
	SRCDIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
endif

# Tips: you can set OUTPUT to Rime user directory in the command line
ifeq ($(OUTPUT),)
	OUTPUT := $(SRCDIR)/output
endif

ifeq ($(PREFIX),)
	PREFIX := /usr
endif

ifeq ($(RIME_DATA_DIR),)
	RIME_DATA_DIR := $(PREFIX)/share/rime-data
endif

# `build_bin=1 make` would build binaries for input schemas enabled by default.
# Note this doesn't work for `extra`, because non of the extra input schemas are
# enabled by default.
all preset extra minimal:
	$(MAKE) -C plum OUTPUT=$(OUTPUT) $(@)$${build_bin:+-bin}

install clean:
	$(MAKE) -C plum OUTPUT=$(OUTPUT) $(@)

VERSION = $(shell date "+%Y%m%d")

dist:
	git submodule update --init
	$(MAKE) -C plum OUTPUT=$(OUTPUT) all
	tar czf brise-$(VERSION).tar.gz \
	  --exclude=.git \
	  --exclude=output \
	  --exclude='brise-*.tar.gz' \
	  -C .. brise

.PHONY: all preset extra minimal install clean dist

=== plum/Makefile ===
ifeq ($(SRCDIR),)
	SRCDIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
endif

# Tips: you can set OUTPUT to Rime user directory in the command line
ifeq ($(OUTPUT),)
	OUTPUT := $(SRCDIR)/output
endif

ifeq ($(PREFIX),)
	PREFIX := /usr
endif

ifeq ($(RIME_DATA_DIR),)
	RIME_DATA_DIR := $(PREFIX)/share/rime-data
endif

.DEFAULT_GOAL := preset

preset extra all: clean
	bash $(SRCDIR)/scripts/install-packages.sh :$@ $(OUTPUT)

minimal: clean
	bash $(SRCDIR)/scripts/minimal-build.sh $(OUTPUT)

preset-bin: preset build

all-bin: all build

minimal-bin: minimal build

build:
	rime_deployer --build $(OUTPUT)
	rm $(OUTPUT)/user.yaml

install:
	@echo "Installing Rime data to '$(DESTDIR)$(RIME_DATA_DIR)'."
	@install -d $(DESTDIR)$(RIME_DATA_DIR)
	@install -m 644 $(OUTPUT)/*.* $(DESTDIR)$(RIME_DATA_DIR)
	@if [[ -d "$(OUTPUT)/build" ]]; then \
	  install -d $(DESTDIR)$(RIME_DATA_DIR)/build; \
	  install -m 644 $(OUTPUT)/build/*.* $(DESTDIR)$(RIME_DATA_DIR)/build; \
	fi

clean:
	rm -rf $(OUTPUT) > /dev/null 2>&1 || true

VERSION = $(shell date "+%Y%m%d")

# A source tarball that includes all data packages.
# To reproduce package contents of the release, set `no_update=1`:
#     tar xzf plum-YYYYMMDD.tar.gz
#     cd plum
#     no_update=1 make
#     sudo make install
dist:
	$(MAKE) OUTPUT=$(OUTPUT) all
	tar czf plum-$(VERSION).tar.gz \
	  --exclude=.git \
	  --exclude=output \
	  --exclude='plum-*.tar.gz' \
	  -C .. plum

.PHONY: preset extra all minimal \
	preset-bin all-bin minimal-bin \
	build install clean dist

=== debian/changelog ===
brise (0.38.20180515-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster and librime 1.4.3.
  * debian/control:
    + Bump Standards-Version to 4.4.1 (no changes needed).
    + Bump debhelper compat to v12.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Dec 2019 13:13:07 -0500

brise (0.38.20180515-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5. (no changes needed)
  * Fix the bug that users cannot save custom configurations
    by not installing /usr/share/rime-data/user.yaml and
    /usr/share/rime-data/build/default.yaml.
    Closes: #902983.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 05 Jul 2018 09:18:23 +0800

brise (0.38.20180515-1) unstable; urgency=medium

  * Team upload.
  * New upstream release after migration to plum and librime 1.3.
    - Fix broken config for opencc in luna_pinyin_tw. (Closes: #877714).
  * Fix FTBFS by limiting required librime version to 1.3+. (Closes: #893386).
  * Use debian-input-method@lists.debian.org as maintainer address.
    (Closes: #899883).
  * debian: Apply "wrap-and-sort -abst".
  * d/control: Bump debhelper compat to v11.
  * d/control: Bump Standards-Version to 4.1.4.
  * d/control: Use Salsa repo for Vcs fields.
  * d/control: Set package section to "libs".
  * d/control: Drop transitional packages librime-data-stroke5,
    librime-data-stroke-simp, librime-data-triungkox3p.
    (Closes: #878230).
  * d/control: Adopt upstream preset list and add three more packages into
    Recommends list: bopomofo, stroke and terra-pinyin.
  * d/control: Let all split librime-data-* packages depend on librime-data
    since librime-data provides some essential common files.
  * d/copyright: Refresh and rewrite all copyright information.
  * d/watch: Refresh GitHub project URL.
  * d/rules: Use "dh_missing --fail-missing".
  * d/install: Refresh install file list for jyutping and luna-pinyin.
  * d/patches: Add a patch to fix bashism in plum/Makefile.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 23 Jun 2018 09:51:24 +0800

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,46 @@
 Source: brise
-Section: utils
-Priority: extra
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>,
-           YunQiang Su <wzssyqa@gmail.com>,
-           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
-Build-Depends: debhelper (>= 9), librime-bin (>= 1.2), kyotocabinet-utils
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/rimeime
-Vcs-Git: git://anonscm.debian.org/pkg-ime/brise.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/brise.git
+Section: libs
+Priority: optional
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Uploaders:
+ Qijiang Fan <fqj1994@gmail.com>,
+ YunQiang Su <syq@debian.org>,
+ Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
+Build-Depends:
+ debhelper-compat (= 12),
+ kyotocabinet-utils,
+ librime-bin (>= 1.3~),
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
+Homepage: https://github.com/rime/brise
+Vcs-Git: https://salsa.debian.org/debian/brise.git
+Vcs-Browser: https://salsa.debian.org/debian/brise
 
 Package: librime-data
 Architecture: all
-Depends: ${misc:Depends}, librime-data-cangjie5, librime-data-luna-pinyin
-Recommends: librime-bin, librime1
-Suggests: librime-data-bopomofo,
+Depends:
+ ${misc:Depends},
+Recommends:
+ librime-bin (>= 1.3~),
+ librime-data-bopomofo,
+ librime-data-cangjie5,
+ librime-data-luna-pinyin,
+ librime-data-stroke,
+ librime-data-terra-pinyin,
+ librime1 (>= 1.3~),
+Suggests:
  librime-data-combo-pinyin,
  librime-data-double-pinyin,
  librime-data-ipa-xsampa,
  librime-data-jyutping,
  librime-data-pinyin-simp,
  librime-data-quick5,
+ librime-data-sampheng,
  librime-data-scj6,
  librime-data-stenotype,
- librime-data-stroke,
- librime-data-terra-pinyin,
- librime-data-sampheng,
  librime-data-wubi,
  librime-data-wugniu,
- librime-data-zyenpheng
+ librime-data-zyenpheng,
 Description: Rime Input Method Engine, the schema data
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -44,7 +55,11 @@
 
 Package: librime-data-array30
 Architecture: any
-Depends: ${misc:Depends}, librime-data-terra-pinyin, librime-data-cangjie5
+Depends:
+ librime-data,
+ librime-data-cangjie5,
+ librime-data-terra-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - array30
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -59,7 +74,11 @@
 
 Package: librime-data-bopomofo
 Architecture: any
-Depends: ${misc:Depends}, librime-data-terra-pinyin, librime-data-cangjie5
+Depends:
+ librime-data,
+ librime-data-cangjie5,
+ librime-data-terra-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - Bopomofo (a.k.a Zhu Yin)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -74,8 +93,11 @@
 
 Package: librime-data-cangjie5
 Architecture: any
-Depends: ${misc:Depends}
-Recommends: librime-data-luna-pinyin
+Depends:
+ librime-data,
+ ${misc:Depends},
+Recommends:
+ librime-data-luna-pinyin,
 Description: RIME schema data - Cangjie5
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -90,7 +112,10 @@
 
 Package: librime-data-combo-pinyin
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - Combo Pinyin (a.k.a Gong Bao Pin Yin)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -105,7 +130,11 @@
 
 Package: librime-data-double-pinyin
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin, librime-data-cangjie5
+Depends:
+ librime-data,
+ librime-data-cangjie5,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - Double Pinyin (a.k.a Zi Ran Ma Shuang Pin)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -120,7 +149,10 @@
 
 Package: librime-data-emoji
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - Emoji
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -135,7 +167,9 @@
 
 Package: librime-data-ipa-xsampa
 Architecture: any
-Depends: ${misc:Depends}, 
+Depends:
+ librime-data,
+ ${misc:Depends},
 Description: RIME schema data - X-SAMPA
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -150,7 +184,10 @@
 
 Package: librime-data-jyutping
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - jyutping (a.k.a Cantonese)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -165,8 +202,11 @@
 
 Package: librime-data-luna-pinyin
 Architecture: any
-Depends: ${misc:Depends}
-Recommends: librime-data-cangjie5
+Depends:
+ librime-data,
+ ${misc:Depends},
+Recommends:
+ librime-data-cangjie5,
 Description: RIME schema data - Luna Pinyin
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -181,8 +221,11 @@
 
 Package: librime-data-pinyin-simp
 Architecture: any
-Depends: ${misc:Depends}
-Recommends: librime-data-stroke
+Depends:
+ librime-data,
+ ${misc:Depends},
+Recommends:
+ librime-data-stroke,
 Description: RIME schema data - Pinyin Simp (a.k.a Xiu Zheng Jian Hua Pin Yin)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -197,7 +240,10 @@
 
 Package: librime-data-quick5
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - quick5
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -210,9 +256,32 @@
  .
  This package provides the quick5 schema data of RIME.
 
+Package: librime-data-sampheng
+Architecture: any
+Provides:
+ librime-data-triungkox3p,
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
+Description: RIME schema data - sampheng (a.k.a Zhong Gu San Pin)
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides the sampheng schema data of RIME.
+
 Package: librime-data-scj6
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - scj6 (a.k.a Fast Cangjie IM 6)
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -227,7 +296,10 @@
 
 Package: librime-data-soutzoe
 Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
+Depends:
+ librime-data,
+ librime-data-luna-pinyin,
+ ${misc:Depends},
 Description: RIME schema data - soutzoe
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -235,27 +307,3 @@
  schematas including glyph-based input methods, romanization-based input methods
  as well as those for Chinese dialects. It has the ability to compose phrases
  and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the soutzoe schema data of RIME.
-
-Package: librime-data-stenotype
-Architecture: any
-Depends: ${misc:Depends}, librime-data-luna-pinyin
-Description: RIME schema data - stenotype
- RIME is the acronym of Rime Input Method Engine.
- .
- RIME is a lightweight, extensible input method engine supporting various input
- schematas including glyph-based input methods, romanization-based input methods
- as well as those for Chinese dialects. It has the ability to compose phrases
- and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the stenotype schema data of RIME.
-
-Package: librime-data-stroke
-Architecture: any
-Provides: librime-data-stroke5, librime-data-stroke-simp
-Depends: ${misc:Depends}, librime-data-luna-pinyin

=== debian/watch ===
version=3
https://github.com/rime/brise/tags .*/brise-(\d[\d\.]+)\.tar\.gz

## brise 0.38.20190120

=== plum/Makefile ===
--- 
+++ 
@@ -37,9 +37,13 @@
 	@echo "Installing Rime data to '$(DESTDIR)$(RIME_DATA_DIR)'."
 	@install -d $(DESTDIR)$(RIME_DATA_DIR)
 	@install -m 644 $(OUTPUT)/*.* $(DESTDIR)$(RIME_DATA_DIR)
-	@if [[ -d "$(OUTPUT)/build" ]]; then \
+	@if [ -d "$(OUTPUT)/build" ]; then \
 	  install -d $(DESTDIR)$(RIME_DATA_DIR)/build; \
 	  install -m 644 $(OUTPUT)/build/*.* $(DESTDIR)$(RIME_DATA_DIR)/build; \
+	fi
+	@if [ -d "$(OUTPUT)/opencc" ]; then \
+	  install -d $(DESTDIR)$(RIME_DATA_DIR)/opencc; \
+	  install -m 644 $(OUTPUT)/opencc/*.* $(DESTDIR)$(RIME_DATA_DIR)/opencc; \
 	fi
 
 clean:

=== debian/changelog ===
brise (0.38.20190120-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 11:17:05 -0500

brise (0.38.20190120-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
    - The new cantonese files were not included.
    + Add librime-data-ipa-yunlong package for IPA yunlong schema.
  * debian/copyright: Refreshed with updated data.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Dec 2020 00:05:59 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  YunQiang Su <syq@debian.org>,
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  kyotocabinet-utils,
  librime-bin (>= 1.3~),
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/rime/brise
 Vcs-Git: https://salsa.debian.org/debian/brise.git
 Vcs-Browser: https://salsa.debian.org/debian/brise
@@ -32,6 +32,7 @@
  librime-data-combo-pinyin,
  librime-data-double-pinyin,
  librime-data-ipa-xsampa,
+ librime-data-ipa-yunlong,
  librime-data-jyutping,
  librime-data-pinyin-simp,
  librime-data-quick5,
@@ -182,6 +183,23 @@
  .
  This package provides the X-SAMPA schema data of RIME.
 
+Package: librime-data-ipa-yunlong
+Architecture: any
+Depends:
+ librime-data,
+ ${misc:Depends},
+Description: RIME schema data - IPA Yunlong
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides the IPA Yunlong schema data of RIME.
+
 Package: librime-data-jyutping
 Architecture: any
 Depends:
@@ -289,21 +307,3 @@
  schematas including glyph-based input methods, romanization-based input methods
  as well as those for Chinese dialects. It has the ability to compose phrases
  and sentences intelligently and provide very accurate traditional Chinese
- output. RIME's cross-platform core library is written in C++, and can work
- consistently on different platforms with OS-specific wrappers.
- .
- This package provides the scj6 schema data of RIME.
-
-Package: librime-data-soutzoe
-Architecture: any
-Depends:
- librime-data,
- librime-data-luna-pinyin,
- ${misc:Depends},
-Description: RIME schema data - soutzoe
- RIME is the acronym of Rime Input Method Engine.
- .
- RIME is a lightweight, extensible input method engine supporting various input
- schematas including glyph-based input methods, romanization-based input methods
- as well as those for Chinese dialects. It has the ability to compose phrases
- and sentences intelligently and provide very accurate traditional Chinese
